Subject: Ticket Assigned - Mastercard Payment
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 29 Dec 2022 16:27:29 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Mastercard Payment Hi,
I am unable to purchase through master card now for over 6 months. I cleared the cache and used different browsers but with no luck
I tried to place this order 8407967365 through the master card but it didnt go through.
My card is working fine, i purchased other items from different website at the same time.
Thanks

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5522175